Subject: Re: Network performance degradation from 2.6.11.12 to 2.6.16.20

From: Harry Edmon <[email-masked]>
Date: Mon, 19 Jun 2006 09:40:29 -0700

Jesper Dangaard Brouer wrote:
>
>>> Harry Edmon <[email-masked]> wrote:
>>>
>>>> I have a system with a strange network performance degradation from 
>>>> 2.6.11.12 to most recent kernels including 2.6.16.20 and 
>>>> 2.6.17-rc6. The system is has Dual single core Xeons with 
>>>> hyperthreading on.
> <cut>
>
> Hi Harry
>
> Can you check which "high-res timesource" you are using?
>
> In the kernel log look for:
>  kernel: Using tsc for high-res timesource
>  kernel: Using pmtmr for high-res timesource
>
> I have experinced some network performance degradation when using the 
> "pmtmr" timesource, on a Opteron AMD system.  It seems that the 
> default timesource change between 2.6.15 to 2.6.16.
>
> If you use "pmtmr" try to reboot with kernel option "clock=tsc".
>
> On my Opteron AMD system i normally can route 400 kpps, but with 
> timesource "pmtmr" i could only route around 83 kpps.  (I found the 
> timer to be the issue by using oprofile).
>
>
We have CONFIG_HPET_TIMER=y, so we do not see these messages.